/**
 * SMPTE timedode (LTC) decode library for mbed
 * Copyright (c) 2015 Suga
 * Released under the MIT License: http://mbed.org/license/mit
 */
/** @file
 * @brief SMPTE timedode (LTC) decode library for mbed
 */

#ifndef _LTC_SMPTE_H_
#define _LTC_SMPTE_H_

#include "mbed.h"

class LTC_SMPTE {
public:
    LTC_SMPTE (PinName input);

    void read (int *hour, int *min, int *sec, int *frame, int *dir = NULL);
    int isReceived ();

protected:
    InterruptIn _input;
    Timer _timer;

    int mode;
    int oneflg;
    int count;
    int bit;
    char code[10];
    int hour, min, sec, frame;
    int drop, direction;
    int received;

    void isr_change ();
    void parse_code ();

};

#endif
